Skip to main content
`Ctrl`+`K`

# PetscRegressorLinearGetCoefficients

Get a vector of the fitted coefficients from a linear regression model

## Synopsis

    #include "petscregressor.h"
    PETSC_EXTERN PetscErrorCode PetscRegressorLinearGetCoefficients(PetscRegressor regressor, Vec *coefficients)

Not Collective but the vector is parallel

## Input Parameter

- regressor - the `PetscRegressor` context

## Output Parameter

- coefficients - the vector of the coefficients

## See Also

`PetscRegressor`, `PetscRegressorLinearGetIntercept()`, `PETSCREGRESSORLINEAR`, `Vec`

## Level

beginner

## Location

src/ml/regressor/impls/linear/linear.c

## Implementations

PetscRegressorLinearGetCoefficients_Linear() in src/ml/regressor/impls/linear/linear.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages